package com.gic.store.service.impl;

import com.gic.store.dao.mapper.TabAuthStoreLogMapper;
import com.gic.store.entity.TabAuthStoreLog;
import com.gic.store.service.AuthStoreLogService;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("authStoreLogService")
public class AuthStoreLogServiceImpl implements AuthStoreLogService {
    @Autowired
    private TabAuthStoreLogMapper tabAuthStoreLogMapper;

    @Override
    public int saveAuthStoreLog(Integer storeInfoId, Integer fromEnterpriseId, Integer toEnterpriseId, String key) {
        TabAuthStoreLog log = new TabAuthStoreLog();
        log.setStoreInfoId(storeInfoId);
        log.setFromEnterpriseId(fromEnterpriseId);
        log.setKey(key);
        log.setToEnterpriseId(toEnterpriseId);
        log.setStatus(1);
        this.tabAuthStoreLogMapper.insertSelective(log);
        return log.getId();
    }

    @Override
    public int updateStatus(Integer id, int status) {
        TabAuthStoreLog log = new TabAuthStoreLog();
        log.setId(id);
        log.setStatus(status);
        return this.tabAuthStoreLogMapper.updateByPrimaryKeySelective(log);
    }

    @Override
    public int getCount(String key, int status) {
        List<TabAuthStoreLog> list = this.tabAuthStoreLogMapper.listLogByKey(key, status);
        if(CollectionUtils.isNotEmpty(list)){
            return list.size();
        }
        return 0;
    }
}
